Ptex: PtexReader::TiledReducedFace Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
PtexReader::TiledReducedFace Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::TiledReducedFace:

## Public Member Functions
| TiledReducedFace (void **parent, PtexCacheImpl *cache, Res res, Res tileres, DataType dt, int nchan, TiledFaceBase *parentface, PtexUtils::ReduceFn reducefn)
| ~TiledReducedFace ()
virtual PtexFaceData * | getTile (int tile)
| Access a tile from the data block. More...
Public Member Functions inherited from PtexReader::TiledFaceBase
| TiledFaceBase (void **parent, PtexCacheImpl *cache, Res res, Res tileres, DataType dt, int nchan)
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid). More...
virtual bool | isConstant ()
| True if this data block is constant. More...
virtual void | getPixel (int u, int v, void *result)
| Read a single texel from the data block. More...
virtual void * | getData ()
| Access the data from this data block. More...
virtual bool | isTiled ()
| True if this data block is tiled. More...
virtual Ptex::Res | tileRes ()
| Resolution of each tile in this data block. More...
virtual void | reduce (FaceData *&, PtexReader *, Res newres, PtexUtils::ReduceFn)
Res | tileres () const
int | ntilesu () const
int | ntilesv () const
int | ntiles () const
Public Member Functions inherited from PtexReader::FaceData
| FaceData (void **parent, PtexCacheImpl *cache, Res res, int size)
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block. More...
virtual void | reduce (FaceData *&, PtexReader *, Res newres, PtexUtils::ReduceFn)=0
Public Member Functions inherited from PtexCachedData
| PtexCachedData (void **parent, PtexCacheImpl *cache, int size)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()

## Protected Attributes
TiledFaceBase * | _parentface
PtexUtils::ReduceFn * | _reducefn
Protected Attributes inherited from PtexReader::TiledFaceBase
Res | _tileres
DataType | _dt
int | _nchan
int | _ntilesu
int | _ntilesv
int | _ntiles
int | _pixelsize
safevector< FaceData * > | _tiles
Protected Attributes inherited from PtexReader::FaceData
Res | _res
Protected Attributes inherited from PtexCachedData
PtexCacheImpl * | _cache

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)
Protected Member Functions inherited from PtexReader::TiledFaceBase
virtual | ~TiledFaceBase ()
Protected Member Functions inherited from PtexCachedData
void | incSize (int size)
virtual | ~PtexCachedData ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead. More...

## Detailed Description

Definition at line 423 of file PtexReader.h.

## Constructor & Destructor Documentation

PtexReader::TiledReducedFace::TiledReducedFace | ( | void ** | parent,
|  | PtexCacheImpl * | cache,
|  | Res | res,
|  | Res | tileres,
|  | DataType | dt,
|  | int | nchan,
|  | TiledFaceBase * | parentface,
|  | PtexUtils::ReduceFn | reducefn
| ) |  |
| inline

Definition at line 425 of file PtexReader.h.

PtexReader::TiledReducedFace::~TiledReducedFace | ( |  | ) |
| inline

Definition at line 435 of file PtexReader.h.

## Member Function Documentation

PtexFaceData * PtexReader::TiledReducedFace::getTile | ( | int | tile | ) |
| virtual

Access a tile from the data block.

Tiles are accessed in v-major order.

Implements PtexFaceData.

Definition at line 1296 of file PtexReader.cpp.

References PtexCachedFile::_cache, PtexReader::_pixelsize, PtexCacheImpl::cachelock, PtexUtils::fill(), PtexReader::getData(), PtexFaceData::getData(), PtexFaceData::getTile(), PtexFaceData::isConstant(), PtexInternal::_SpinLock::lock(), PtexCachedData::ref(), PtexReader::release(), and PtexInternal::_SpinLock::unlock().

## Member Data Documentation

TiledFaceBase* PtexReader::TiledReducedFace::_parentface
| protected

Definition at line 442 of file PtexReader.h.

PtexUtils::ReduceFn* PtexReader::TiledReducedFace::_reducefn
| protected

Definition at line 443 of file PtexReader.h.

The documentation for this class was generated from the following files:

- PtexReader.h
- PtexReader.cpp